/* PhB3DCheckerTexture.C: PhB3DCheckerTexture nodes (public source) */

#include "PhB3DCheckerTexture.H"

namespace xrml {

void PhB3DCheckerTexture::render(void)
{
  Warning(NULL, "PhB3DCheckerTexture::render(): not yet implemented");
}

float *PhB3DCheckerTexture::values(const Vec3& point, int *nrChannels)
{
  static float w[2];
  w[0] = (int)(floor(point.x) + floor(point.y) + floor(point.z)) & 1;
  w[1] = 1. - w[0];
  *nrChannels = 2;
  return w;
}

}  // namespace xrml
